///////////////////////////////////////////////////////////////////////////
//
//strKnownApplicationList is the list of known programs.  When adding to this
//list, be sure to prepend the operating system type to the new entries.
//The following operating system types are supported:
//98, me, 2k, xp
//
///////////////////////////////////////////////////////////////////////////

var strKnownApplicationList = "98_subsystem,98_svchost.exe,98_rundll32.exe,98_wininit.exe,me_subsystem,me_svchost.exe,me_rundll32.exe,me_explorer.exe,me_spool32.exe, 2k_subsystem,2k_svchost.exe,2k_mstask.exe,2k_navapw32.exe,2k_csrss.exe,2k_lsass.exe,2k_winlogon.exe, xp_subsystem,xp_svchost.exe,xp_mstsc.exe,xp_rdpclip.exe,xp_mstask.exe,xp_navapw32.exe,xp_csrss.exe,xp_lsass.exe";


function getArgs()
{
  var args = new Object();
  var query = window.external.ObjectArg.Params;
  
  if(query.charAt(0) == "#")
  {
	query = query.substr(1);
  }
  
  var pairs = query.split(",");               // Break at comma.
  for(var i = 0; i < pairs.length; i++)
  {
    var pos = pairs[i].indexOf('=');          // Look for "name=value".
    if (pos == -1)
      continue;                               // If not found, skip.
    var argname = pairs[i].substring(0,pos);  // Extract the name.
    var value = pairs[i].substring(pos+1);    // Extract the value.
    args[argname] = unescape(value);          // Store as a property.
  }
  return args;                                // Return the object.
}

function DrawFooter()
{
	//Depending on the version of the product, pick the
	//appropriate footer graphic

	var WrapNisum = new ActiveXObject("WrapUM.WrapNISUM");
	var pt = WrapNisum.ProductType;
	var szFooter;
	
	switch(pt)
	{
	case "PT_NPF":
		szFooter = "<img border=0 src=\"branding_bar_npf.gif\"/>";
	   	break;
	case "PT_PRO":
		szFooter = "<img border=0 src=\"branding_bar_nispro.gif\"/>";
	   	break;
	default:
		szFooter = "<img border=0 src=\"branding_bar.gif\"/>";
	   	break;
	}
	
	document.write(szFooter);
}

function DrawPopup(strProgramName)
{
	//alert("KnownApplications.htm#" + strProgramName + "#" + location.href);
	window.navigate("KnownApplications.htm#" + strProgramName + "#" + location.href);
}

function DrawProgramName(strProgramName)
{
	//Build string to represent which operating system we have.  This will be appended to the program name
	//when we test to see if it is one we have additional info for.
	var args = getArgs();
	var strProgNameWithOS = strProgramName;

	//Special case for "Windows Subsystem"
	if (strProgNameWithOS == "Windows Subsystem")
	{
		strProgNameWithOS = "subsystem";
	}

	if (args.os)
	{
	  strProgNameWithOS = args.os + "_" + strProgNameWithOS;
	}

	strKnownApplicationList = strKnownApplicationList.toLowerCase();
	if (strKnownApplicationList.indexOf(strProgNameWithOS.toLowerCase()) >= 0)
	{
		oPROGNAME.innerHTML = "<a href='KnownApplications.htm" + "?from=" + location.href + "#" + strProgramName + "' onClick=\"DrawPopup('" + strProgNameWithOS + "');return false\">" + strProgramName + "</a>";
		//alert(oPROGNAME.innerHTML);
	}
	else
	{
		oPROGNAME.innerText = strProgramName;
	}
}

function VisualTracking_OnClick(objAnchor)
{
	window.open(String(objAnchor.href), String(objAnchor.target), "width=830, height=785, toolbar=no, menubar=no, location=no, directories=no, resizable=yes, scrollbars=yes");
	return false;
}

function GetCountryCode()
{
	return navigator.systemLanguage;
}

function DrawVisualTrackingLink(strIPAddr)
{
	var szLangID = GetCountryCode();

	// Figure out what version of the product this is
	//

	// var pt = WrapNisum.ProductType;
	var pid = "NIS2004";
	var pt;
	var args = getArgs();
	
	if (args.pt)
	{
		switch(pt)
		{
		case "PT_NPF":
		   pid = "NPF2004";
		   break;
		case "PT_SCF":
		   pid = "SCF2004";
		   break;
		case "PT_PRO":
		   pid = "NISPro2004";
		   break;
		default:
		   pid = "NIS2004";
		   break;
		}
	}

	var strRet = "<a href='http://visualtracking.symantec.com/default.asp?productid=" + pid + "&langid=" + szLangID + "&venid=sym" + "&go=" + strIPAddr + "' target='VisualTracking' onClick='return VisualTracking_OnClick(this)'>" + strIPAddr + "</a>";
	return strRet;
}

function ToggleMoreDetails()
{
	if(window.oMORE_DETAILS_TEXT.style.display == "")
	{
		window.oMORE_DETAILS_TEXT.style.display ="none";
		img_Arrow_MoreDetails.src = "blue_arrow_rt.gif";
	}
	else
	{
		window.oMORE_DETAILS_TEXT.style.display ="";	
		img_Arrow_MoreDetails.src = "blue_arrow_dn.gif";
	}
}

function ToggleReduceAlerts()
{
	if(window.oREDUCE_ALERTS_TEXT.style.display == "")
	{
		window.oREDUCE_ALERTS_TEXT.style.display ="none";
		img_Arrow_ReduceAlerts.src = "blue_arrow_rt.gif";
	}
	else
	{
		window.oREDUCE_ALERTS_TEXT.style.display ="";	
		img_Arrow_ReduceAlerts.src = "blue_arrow_dn.gif";
	}
}

function ToggleWhatShouldIDo()
{
	if(window.oWHAT_SHOULD_I_DO_TEXT.style.display == "")
	{
		window.oWHAT_SHOULD_I_DO_TEXT.style.display ="none";
		img_Arrow_WhatShouldIDo.src = "blue_arrow_rt.gif";
	}
	else
	{
		window.oWHAT_SHOULD_I_DO_TEXT.style.display ="";
		img_Arrow_WhatShouldIDo.src = "blue_arrow_dn.gif";
	}
}

function CollapseSections()
{
	// Collapse these text by default
	window.oMORE_DETAILS_TEXT.style.display ="none";
	img_Arrow_MoreDetails.src = "blue_arrow_rt.gif";
	window.oREDUCE_ALERTS_TEXT.style.display ="none";
	img_Arrow_ReduceAlerts.src = "blue_arrow_rt.gif";
	window.oWHAT_SHOULD_I_DO_TEXT.style.display ="none";
	img_Arrow_WhatShouldIDo.src = "blue_arrow_rt.gif";
}